package net.pricefx.logic.core;

import net.pricefx.restapiclient.criteria.And;
import net.pricefx.restapiclient.criteria.Criterion;

import static net.pricefx.restapiclient.criteria.FieldCriteria.equal;

public class PfxFilters {
    public static Criterion getSimpleCriteria(String fieldName, Object value) {
        return new And(equal(fieldName, value));
    }

    public static Criterion getSimpleCriteria2(String fieldName1, Object value1, String fieldName2, Object value2) {
        return new And(
                equal(fieldName1, value1),
                equal(fieldName2, value2)
        );
    }

    public static Criterion getSimpleCriteriaN(String[] fieldNames, Object[] values) {
        if (fieldNames.length != values.length) {
            throw new IllegalArgumentException("getSimpleCriteriaN: arrays needs to be same size");
        }

        And condition = new And();
        for (int i = 0; i < fieldNames.length; i++) {
            condition.addCriterion(equal(fieldNames[i], values[i]));
        }
        return condition;
    }
}
